[@bigcommerce/checkout-sdk](../README.md) / AdyenValidationState

# Interface: AdyenValidationState

## Table of contents

### Properties

- [encryptedFieldName](AdyenValidationState.md#encryptedfieldname)
- [endDigits](AdyenValidationState.md#enddigits)
- [error](AdyenValidationState.md#error)
- [errorKey](AdyenValidationState.md#errorkey)
- [fieldType](AdyenValidationState.md#fieldtype)
- [i18n](AdyenValidationState.md#i18n)
- [valid](AdyenValidationState.md#valid)

## Properties

### encryptedFieldName

• `Optional` **encryptedFieldName**: `string`

___

### endDigits

• `Optional` **endDigits**: `string`

___

### error

• `Optional` **error**: `string`

___

### errorKey

• `Optional` **errorKey**: `string`

___

### fieldType

• `Optional` **fieldType**: [`AdyenCardFields`](../enums/AdyenCardFields.md)

___

### i18n

• `Optional` **i18n**: `string`

___

### valid

• **valid**: `boolean`
